Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine
Class ConfigurationTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.ConfigurationTest

All Implemented Interfaces:
  junit.framework.Test

    public class ConfigurationTest

extends BaseTestCase

Tests that the ConfigurationFactory and regular old properties methods both work. Verify the overriding of properties.

Version:
  $Id: ConfigurationTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Eric Pugh

Field Summary
`static String` | `CLASSNAME_SUFFIX` A `Service` property determining its implementing class name .
`static String` | `SERVICE_PREFIX`

Constructor Summary
`ConfigurationTest(String name)`

Method Summary
`void` | `testCreateTurbineWithConfiguration()`
`void` | `testCreateTurbineWithConfigurationXML()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SERVICE_PREFIX

    public static final String SERVICE_PREFIX

See Also:
  Constant Field Values

### CLASSNAME_SUFFIX

    public static final String CLASSNAME_SUFFIX

  A `Service` property determining its implementing class name .

  See Also:
    Constant Field Values

Constructor Detail

### ConfigurationTest

    public ConfigurationTest(String name)
                      throws Exception

Throws:
  `Exception`

Method Detail

### testCreateTurbineWithConfigurationXML

    public void testCreateTurbineWithConfigurationXML()
                                               throws Exception

  Throws:
    `Exception`

### testCreateTurbineWithConfiguration

    public void testCreateTurbineWithConfiguration()
                                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.